Delete rows from table

- « Table::count

- Table::existsInDatabase »

- PHP Manual
- mysql_xdevapi\Table
- Delete rows from table

# Table::delete

(No version information available, might only be in Git)

Table::delete — Delete rows from table

### Description

public mysql_xdevapi\Table::delete(): mysql_xdevapi\TableDelete

Deletes rows from a table.

### Parameters

This function has no parameters.

### Return Values

A TableDelete object; use the execute() method to execute the delete query.

### Examples

Example #1 mysql_xdevapi\Table::delete() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $table->delete()->where("name = :name")->orderby("age DESC")->limit(1)->bind(['name' => 'John'])->execute();
    ?>